## org.eclipse.amp.amf.testing.parser.antlr.internal
Class InternalATestParser

    java.lang.Object
      org.antlr.runtime.BaseRecognizer
          org.antlr.runtime.Parser
              org.eclipse.xtext.parser.antlr.AbstractInternalAntlrParser
                  org.eclipse.amp.amf.testing.parser.antlr.internal.InternalATestParser

    public class InternalATestParser

extends org.eclipse.xtext.parser.antlr.AbstractInternalAntlrParser

Field Summary
`static int` `EOF`
`static org.antlr.runtime.BitSet` `FOLLOW_14_in_ruleModel169`
`static org.antlr.runtime.BitSet` `FOLLOW_15_in_ruleModel232`
`static org.antlr.runtime.BitSet` `FOLLOW_16_in_ruleConstraint541`
`static org.antlr.runtime.BitSet` `FOLLOW_17_in_ruleConstraint569`
`static org.antlr.runtime.BitSet` `FOLLOW_18_in_ruleConstraint598`
`static org.antlr.runtime.BitSet` `FOLLOW_18_in_ruleConstraint639`
`static org.antlr.runtime.BitSet` `FOLLOW_19_in_ruleConstraint628`
`static org.antlr.runtime.BitSet` `FOLLOW_20_in_ruleConstraint649`
`static org.antlr.runtime.BitSet` `FOLLOW_21_in_ruleConstraint680`
`static org.antlr.runtime.BitSet` `FOLLOW_22_in_ruleConstraint711`
`static org.antlr.runtime.BitSet` `FOLLOW_23_in_ruleMeasure1296`
`static org.antlr.runtime.BitSet` `FOLLOW_24_in_ruleMeasure1311`
`static org.antlr.runtime.BitSet` `FOLLOW_25_in_ruleMeasure1326`
`static org.antlr.runtime.BitSet` `FOLLOW_26_in_ruleMeasure1341`
`static org.antlr.runtime.BitSet` `FOLLOW_27_in_ruleMeasure1356`
`static org.antlr.runtime.BitSet` `FOLLOW_28_in_ruleBOOLEAN1399`
`static org.antlr.runtime.BitSet` `FOLLOW_29_in_ruleBOOLEAN1414`
`static org.antlr.runtime.BitSet` `FOLLOW_EOF_in_entryRuleBooleanValue1204`
`static org.antlr.runtime.BitSet` `FOLLOW_EOF_in_entryRuleConstraint485`
`static org.antlr.runtime.BitSet` `FOLLOW_EOF_in_entryRuleIntValue931`
`static org.antlr.runtime.BitSet` `FOLLOW_EOF_in_entryRuleModel85`
`static org.antlr.runtime.BitSet` `FOLLOW_EOF_in_entryRuleRealValue1022`
`static org.antlr.runtime.BitSet` `FOLLOW_EOF_in_entryRuleStringValue1113`
`static org.antlr.runtime.BitSet` `FOLLOW_EOF_in_entryRuleTestMember394`
`static org.antlr.runtime.BitSet` `FOLLOW_EOF_in_entryRuleTests303`
`static org.antlr.runtime.BitSet` `FOLLOW_EOF_in_entryRuleValue758`
`static org.antlr.runtime.BitSet` `FOLLOW_RULE_DESC_STRING_in_ruleModel150`
`static org.antlr.runtime.BitSet` `FOLLOW_RULE_ID_in_ruleConstraint559`
`static org.antlr.runtime.BitSet` `FOLLOW_RULE_ID_in_ruleConstraint587`
`static org.antlr.runtime.BitSet` `FOLLOW_RULE_ID_in_ruleConstraint616`
`static org.antlr.runtime.BitSet` `FOLLOW_RULE_INTEGER_in_ruleIntValue972`
`static org.antlr.runtime.BitSet` `FOLLOW_RULE_REAL_in_ruleRealValue1063`
`static org.antlr.runtime.BitSet` `FOLLOW_RULE_STRING_in_ruleModel127`
`static org.antlr.runtime.BitSet` `FOLLOW_RULE_STRING_in_ruleStringValue1154`
`static org.antlr.runtime.BitSet` `FOLLOW_RULE_STRING_in_ruleTestMember435`
`static org.antlr.runtime.BitSet` `FOLLOW_RULE_STRING_in_ruleTests344`
`static org.antlr.runtime.BitSet` `FOLLOW_ruleBOOLEAN_in_ruleBooleanValue1249`
`static org.antlr.runtime.BitSet` `FOLLOW_ruleBooleanValue_in_entryRuleBooleanValue1194`
`static org.antlr.runtime.BitSet` `FOLLOW_ruleBooleanValue_in_ruleValue886`
`static org.antlr.runtime.BitSet` `FOLLOW_ruleConstraint_in_entryRuleConstraint475`
`static org.antlr.runtime.BitSet` `FOLLOW_ruleConstraint_in_ruleModel213`
`static org.antlr.runtime.BitSet` `FOLLOW_ruleIntValue_in_entryRuleIntValue921`
`static org.antlr.runtime.BitSet` `FOLLOW_ruleIntValue_in_ruleValue805`
`static org.antlr.runtime.BitSet` `FOLLOW_ruleMeasure_in_ruleConstraint531`
`static org.antlr.runtime.BitSet` `FOLLOW_ruleModel_in_entryRuleModel75`
`static org.antlr.runtime.BitSet` `FOLLOW_ruleRealValue_in_entryRuleRealValue1012`
`static org.antlr.runtime.BitSet` `FOLLOW_ruleRealValue_in_ruleValue859`
`static org.antlr.runtime.BitSet` `FOLLOW_ruleStringValue_in_entryRuleStringValue1103`
`static org.antlr.runtime.BitSet` `FOLLOW_ruleStringValue_in_ruleValue832`
`static org.antlr.runtime.BitSet` `FOLLOW_ruleTestMember_in_entryRuleTestMember384`
`static org.antlr.runtime.BitSet` `FOLLOW_ruleTestMember_in_ruleModel253`
`static org.antlr.runtime.BitSet` `FOLLOW_ruleTests_in_entryRuleTests293`
`static org.antlr.runtime.BitSet` `FOLLOW_ruleTests_in_ruleModel190`
`static org.antlr.runtime.BitSet` `FOLLOW_ruleValue_in_entryRuleValue748`
`static org.antlr.runtime.BitSet` `FOLLOW_ruleValue_in_ruleConstraint670`
`static org.antlr.runtime.BitSet` `FOLLOW_ruleValue_in_ruleConstraint701`
`static int` `RULE_ANY_OTHER`
`static int` `RULE_DESC_STRING`
`static int` `RULE_ID`
`static int` `RULE_INT`
`static int` `RULE_INTEGER`
`static int` `RULE_ML_COMMENT`
`static int` `RULE_REAL`
`static int` `RULE_SL_COMMENT`
`static int` `RULE_STRING`
`static int` `RULE_WS`
`static java.lang.String[]` `tokenNames`

Fields inherited from class org.antlr.runtime.BaseRecognizer
`DEFAULT_TOKEN_CHANNEL, HIDDEN, INITIAL_FOLLOW_STACK_SIZE, MEMO_RULE_FAILED, MEMO_RULE_FAILED_I, MEMO_RULE_UNKNOWN, NEXT_TOKEN_RULE_NAME`

Constructor Summary
`InternalATestParser(org.antlr.runtime.TokenStream input)`
`InternalATestParser(org.antlr.runtime.TokenStream input, org.eclipse.xtext.parser.IAstFactory factory, ATestGrammarAccess grammarAccess)`

Method Summary
`org.eclipse.emf.ecore.EObject` `entryRuleBooleanValue()`
`org.eclipse.emf.ecore.EObject` `entryRuleConstraint()`
`org.eclipse.emf.ecore.EObject` `entryRuleIntValue()`
`org.eclipse.emf.ecore.EObject` `entryRuleModel()`
`org.eclipse.emf.ecore.EObject` `entryRuleRealValue()`
`org.eclipse.emf.ecore.EObject` `entryRuleStringValue()`
`org.eclipse.emf.ecore.EObject` `entryRuleTestMember()`
`org.eclipse.emf.ecore.EObject` `entryRuleTests()`
`org.eclipse.emf.ecore.EObject` `entryRuleValue()`
`java.lang.String` `getGrammarFileName()`
`java.lang.String[]` `getTokenNames()`
`org.eclipse.emf.common.util.Enumerator` `ruleBOOLEAN()`
`org.eclipse.emf.ecore.EObject` `ruleBooleanValue()`
`org.eclipse.emf.ecore.EObject` `ruleConstraint()`
`org.eclipse.emf.ecore.EObject` `ruleIntValue()`
`org.eclipse.emf.common.util.Enumerator` `ruleMeasure()`
`org.eclipse.emf.ecore.EObject` `ruleModel()`
`org.eclipse.emf.ecore.EObject` `ruleRealValue()`
`org.eclipse.emf.ecore.EObject` `ruleStringValue()`
`org.eclipse.emf.ecore.EObject` `ruleTestMember()`
`org.eclipse.emf.ecore.EObject` `ruleTests()`
`org.eclipse.emf.ecore.EObject` `ruleValue()`

Methods inherited from class org.eclipse.xtext.parser.antlr.AbstractInternalAntlrParser
`displayRecognitionError, emitErrorMessage, getErrorMessage, getInput, getSyntaxErrorMessage, getSyntaxErrorProvider, getUnorderedGroupHelper, match, parse, parse, recover, recoverFromMismatchedToken, reportError, setSyntaxErrorProvider, setTokenTypeMap, setUnorderedGroupHelper`

Methods inherited from class org.antlr.runtime.Parser
`getTokenStream, reset, setTokenStream, traceIn, traceOut`

Methods inherited from class org.antlr.runtime.BaseRecognizer
`alreadyParsedRule, beginResync, consumeUntil, consumeUntil, endResync, getBacktrackingLevel, getErrorHeader, getRuleInvocationStack, getRuleInvocationStack, getRuleMemoization, getRuleMemoizationCacheSize, getTokenErrorDisplay, matchAny, memoize, recoverFromMismatchedSet, toStrings, traceIn, traceOut`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### tokenNames

    public static final java.lang.String[] tokenNames

### RULE_ID

    public static final int RULE_ID

See Also:
  Constant Field Values

### RULE_STRING

    public static final int RULE_STRING

See Also:
  Constant Field Values

### RULE_ANY_OTHER

    public static final int RULE_ANY_OTHER

See Also:
  Constant Field Values

### RULE_INT

    public static final int RULE_INT

See Also:
  Constant Field Values

### RULE_REAL

    public static final int RULE_REAL

See Also:
  Constant Field Values

### RULE_WS

    public static final int RULE_WS

See Also:
  Constant Field Values

### RULE_SL_COMMENT

    public static final int RULE_SL_COMMENT

See Also:
  Constant Field Values

### EOF

    public static final int EOF

See Also:
  Constant Field Values

### RULE_DESC_STRING

    public static final int RULE_DESC_STRING

See Also:
  Constant Field Values

### RULE_INTEGER

    public static final int RULE_INTEGER

See Also:
  Constant Field Values

### RULE_ML_COMMENT

    public static final int RULE_ML_COMMENT

See Also:
  Constant Field Values

### FOLLOW_ruleModel_in_entryRuleModel75

    public static final org.antlr.runtime.BitSet FOLLOW_ruleModel_in_entryRuleModel75

### FOLLOW_EOF_in_entryRuleModel85

    public static final org.antlr.runtime.BitSet FOLLOW_EOF_in_entryRuleModel85

### FOLLOW_RULE_STRING_in_ruleModel127

    public static final org.antlr.runtime.BitSet FOLLOW_RULE_STRING_in_ruleModel127

### FOLLOW_RULE_DESC_STRING_in_ruleModel150

    public static final org.antlr.runtime.BitSet FOLLOW_RULE_DESC_STRING_in_ruleModel150

### FOLLOW_14_in_ruleModel169

    public static final org.antlr.runtime.BitSet FOLLOW_14_in_ruleModel169

### FOLLOW_ruleTests_in_ruleModel190

    public static final org.antlr.runtime.BitSet FOLLOW_ruleTests_in_ruleModel190

### FOLLOW_ruleConstraint_in_ruleModel213

    public static final org.antlr.runtime.BitSet FOLLOW_ruleConstraint_in_ruleModel213

### FOLLOW_15_in_ruleModel232

    public static final org.antlr.runtime.BitSet FOLLOW_15_in_ruleModel232

### FOLLOW_ruleTestMember_in_ruleModel253

    public static final org.antlr.runtime.BitSet FOLLOW_ruleTestMember_in_ruleModel253

### FOLLOW_ruleTests_in_entryRuleTests293

    public static final org.antlr.runtime.BitSet FOLLOW_ruleTests_in_entryRuleTests293

### FOLLOW_EOF_in_entryRuleTests303

    public static final org.antlr.runtime.BitSet FOLLOW_EOF_in_entryRuleTests303

### FOLLOW_RULE_STRING_in_ruleTests344

    public static final org.antlr.runtime.BitSet FOLLOW_RULE_STRING_in_ruleTests344

### FOLLOW_ruleTestMember_in_entryRuleTestMember384

    public static final org.antlr.runtime.BitSet FOLLOW_ruleTestMember_in_entryRuleTestMember384

### FOLLOW_EOF_in_entryRuleTestMember394

    public static final org.antlr.runtime.BitSet FOLLOW_EOF_in_entryRuleTestMember394

### FOLLOW_RULE_STRING_in_ruleTestMember435

    public static final org.antlr.runtime.BitSet FOLLOW_RULE_STRING_in_ruleTestMember435

### FOLLOW_ruleConstraint_in_entryRuleConstraint475

    public static final org.antlr.runtime.BitSet FOLLOW_ruleConstraint_in_entryRuleConstraint475

### FOLLOW_EOF_in_entryRuleConstraint485

    public static final org.antlr.runtime.BitSet FOLLOW_EOF_in_entryRuleConstraint485

### FOLLOW_ruleMeasure_in_ruleConstraint531

    public static final org.antlr.runtime.BitSet FOLLOW_ruleMeasure_in_ruleConstraint531

### FOLLOW_16_in_ruleConstraint541

    public static final org.antlr.runtime.BitSet FOLLOW_16_in_ruleConstraint541

### FOLLOW_RULE_ID_in_ruleConstraint559

    public static final org.antlr.runtime.BitSet FOLLOW_RULE_ID_in_ruleConstraint559

### FOLLOW_17_in_ruleConstraint569

    public static final org.antlr.runtime.BitSet FOLLOW_17_in_ruleConstraint569

### FOLLOW_RULE_ID_in_ruleConstraint587

    public static final org.antlr.runtime.BitSet FOLLOW_RULE_ID_in_ruleConstraint587

### FOLLOW_18_in_ruleConstraint598

    public static final org.antlr.runtime.BitSet FOLLOW_18_in_ruleConstraint598

### FOLLOW_RULE_ID_in_ruleConstraint616

    public static final org.antlr.runtime.BitSet FOLLOW_RULE_ID_in_ruleConstraint616

### FOLLOW_19_in_ruleConstraint628

    public static final org.antlr.runtime.BitSet FOLLOW_19_in_ruleConstraint628

### FOLLOW_18_in_ruleConstraint639

    public static final org.antlr.runtime.BitSet FOLLOW_18_in_ruleConstraint639

### FOLLOW_20_in_ruleConstraint649

    public static final org.antlr.runtime.BitSet FOLLOW_20_in_ruleConstraint649

### FOLLOW_ruleValue_in_ruleConstraint670

    public static final org.antlr.runtime.BitSet FOLLOW_ruleValue_in_ruleConstraint670

### FOLLOW_21_in_ruleConstraint680

    public static final org.antlr.runtime.BitSet FOLLOW_21_in_ruleConstraint680

### FOLLOW_ruleValue_in_ruleConstraint701

    public static final org.antlr.runtime.BitSet FOLLOW_ruleValue_in_ruleConstraint701

### FOLLOW_22_in_ruleConstraint711

    public static final org.antlr.runtime.BitSet FOLLOW_22_in_ruleConstraint711

### FOLLOW_ruleValue_in_entryRuleValue748

    public static final org.antlr.runtime.BitSet FOLLOW_ruleValue_in_entryRuleValue748

### FOLLOW_EOF_in_entryRuleValue758

    public static final org.antlr.runtime.BitSet FOLLOW_EOF_in_entryRuleValue758

### FOLLOW_ruleIntValue_in_ruleValue805

    public static final org.antlr.runtime.BitSet FOLLOW_ruleIntValue_in_ruleValue805

### FOLLOW_ruleStringValue_in_ruleValue832

    public static final org.antlr.runtime.BitSet FOLLOW_ruleStringValue_in_ruleValue832

### FOLLOW_ruleRealValue_in_ruleValue859

    public static final org.antlr.runtime.BitSet FOLLOW_ruleRealValue_in_ruleValue859

### FOLLOW_ruleBooleanValue_in_ruleValue886

    public static final org.antlr.runtime.BitSet FOLLOW_ruleBooleanValue_in_ruleValue886

### FOLLOW_ruleIntValue_in_entryRuleIntValue921

    public static final org.antlr.runtime.BitSet FOLLOW_ruleIntValue_in_entryRuleIntValue921

### FOLLOW_EOF_in_entryRuleIntValue931

    public static final org.antlr.runtime.BitSet FOLLOW_EOF_in_entryRuleIntValue931

### FOLLOW_RULE_INTEGER_in_ruleIntValue972

    public static final org.antlr.runtime.BitSet FOLLOW_RULE_INTEGER_in_ruleIntValue972

### FOLLOW_ruleRealValue_in_entryRuleRealValue1012

    public static final org.antlr.runtime.BitSet FOLLOW_ruleRealValue_in_entryRuleRealValue1012

### FOLLOW_EOF_in_entryRuleRealValue1022

    public static final org.antlr.runtime.BitSet FOLLOW_EOF_in_entryRuleRealValue1022

### FOLLOW_RULE_REAL_in_ruleRealValue1063

    public static final org.antlr.runtime.BitSet FOLLOW_RULE_REAL_in_ruleRealValue1063

### FOLLOW_ruleStringValue_in_entryRuleStringValue1103

    public static final org.antlr.runtime.BitSet FOLLOW_ruleStringValue_in_entryRuleStringValue1103

### FOLLOW_EOF_in_entryRuleStringValue1113

    public static final org.antlr.runtime.BitSet FOLLOW_EOF_in_entryRuleStringValue1113

### FOLLOW_RULE_STRING_in_ruleStringValue1154

    public static final org.antlr.runtime.BitSet FOLLOW_RULE_STRING_in_ruleStringValue1154

### FOLLOW_ruleBooleanValue_in_entryRuleBooleanValue1194

    public static final org.antlr.runtime.BitSet FOLLOW_ruleBooleanValue_in_entryRuleBooleanValue1194

### FOLLOW_EOF_in_entryRuleBooleanValue1204

    public static final org.antlr.runtime.BitSet FOLLOW_EOF_in_entryRuleBooleanValue1204

### FOLLOW_ruleBOOLEAN_in_ruleBooleanValue1249

    public static final org.antlr.runtime.BitSet FOLLOW_ruleBOOLEAN_in_ruleBooleanValue1249

### FOLLOW_23_in_ruleMeasure1296

    public static final org.antlr.runtime.BitSet FOLLOW_23_in_ruleMeasure1296

### FOLLOW_24_in_ruleMeasure1311

    public static final org.antlr.runtime.BitSet FOLLOW_24_in_ruleMeasure1311

### FOLLOW_25_in_ruleMeasure1326

    public static final org.antlr.runtime.BitSet FOLLOW_25_in_ruleMeasure1326

### FOLLOW_26_in_ruleMeasure1341

    public static final org.antlr.runtime.BitSet FOLLOW_26_in_ruleMeasure1341

### FOLLOW_27_in_ruleMeasure1356

    public static final org.antlr.runtime.BitSet FOLLOW_27_in_ruleMeasure1356

### FOLLOW_28_in_ruleBOOLEAN1399

    public static final org.antlr.runtime.BitSet FOLLOW_28_in_ruleBOOLEAN1399

### FOLLOW_29_in_ruleBOOLEAN1414

    public static final org.antlr.runtime.BitSet FOLLOW_29_in_ruleBOOLEAN1414

Constructor Detail

### InternalATestParser

    public InternalATestParser(org.antlr.runtime.TokenStream input)

### InternalATestParser

    public InternalATestParser(org.antlr.runtime.TokenStream input,
                               org.eclipse.xtext.parser.IAstFactory factory,
                               ATestGrammarAccess grammarAccess)

Method Detail

### getTokenNames

    public java.lang.String[] getTokenNames()

  Overrides:
    `getTokenNames` in class `org.antlr.runtime.BaseRecognizer`

### getGrammarFileName

    public java.lang.String getGrammarFileName()

  Overrides:
    `getGrammarFileName` in class `org.antlr.runtime.BaseRecognizer`

### entryRuleModel

    public final org.eclipse.emf.ecore.EObject entryRuleModel()
                                                       throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### ruleModel

    public final org.eclipse.emf.ecore.EObject ruleModel()
                                                  throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### entryRuleTests

    public final org.eclipse.emf.ecore.EObject entryRuleTests()
                                                       throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### ruleTests

    public final org.eclipse.emf.ecore.EObject ruleTests()
                                                  throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### entryRuleTestMember

    public final org.eclipse.emf.ecore.EObject entryRuleTestMember()
                                                            throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### ruleTestMember

    public final org.eclipse.emf.ecore.EObject ruleTestMember()
                                                       throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### entryRuleConstraint

    public final org.eclipse.emf.ecore.EObject entryRuleConstraint()
                                                            throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### ruleConstraint

    public final org.eclipse.emf.ecore.EObject ruleConstraint()
                                                       throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### entryRuleValue

    public final org.eclipse.emf.ecore.EObject entryRuleValue()
                                                       throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### ruleValue

    public final org.eclipse.emf.ecore.EObject ruleValue()
                                                  throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### entryRuleIntValue

    public final org.eclipse.emf.ecore.EObject entryRuleIntValue()
                                                          throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### ruleIntValue

    public final org.eclipse.emf.ecore.EObject ruleIntValue()
                                                     throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### entryRuleRealValue

    public final org.eclipse.emf.ecore.EObject entryRuleRealValue()
                                                           throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### ruleRealValue

    public final org.eclipse.emf.ecore.EObject ruleRealValue()
                                                      throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### entryRuleStringValue

    public final org.eclipse.emf.ecore.EObject entryRuleStringValue()
                                                             throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### ruleStringValue

    public final org.eclipse.emf.ecore.EObject ruleStringValue()
                                                        throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### entryRuleBooleanValue

    public final org.eclipse.emf.ecore.EObject entryRuleBooleanValue()
                                                              throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### ruleBooleanValue

    public final org.eclipse.emf.ecore.EObject ruleBooleanValue()
                                                         throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### ruleMeasure

    public final org.eclipse.emf.common.util.Enumerator ruleMeasure()
                                                             throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### ruleBOOLEAN

    public final org.eclipse.emf.common.util.Enumerator ruleBOOLEAN()
                                                             throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`